function paper_FIG_savefig(print_now,quality,fighand,dir2save,dbout)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% ################################################################# %% DESCRIPTION
%FUNCTION  short descr.
% long descr.
%
% USAGE:
%         [out] = template(in,in2)
%
% INPUT:
%         in - input 1
%         in2 - input 2
%
% OUTPUT:
%    p - output
%
% EXAMPLES:
%
% See also: FUNCTION2 FUNCTION3

% HISTORY:
% version 1.0.0, Release 00/00/00 Initial release
%
% Author: Roddy Grieves
% UCL, 26 Bedford Way
% eMail: r.grieves@ucl.ac.uk
% Copyright 2019 Roddy Grieves

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% ################################################################# %% INPUT ARGUMENTS CHECK
% deal with input variables
% if ~exist('var0','var') || isempty(var0);         error('%s needs input var0... exiting',mfilename);        end
% if ~exist('var1','var') || isempty(var1);         var1 = 10;                                                end
% if ~exist('var2','var') || isempty(var2);         var2 = 10;                                                end
% if ~exist('var3','var') || isempty(var3);         var3 = 10;                                                end

%% ##################################### Heading 2
%% #################### Heading 3
%% Heading 4
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% ################################################################# %% Save figure using the desired settings
cd(dir2save);
if print_now
    [~,~,~] = mkdir([pwd '\outputs\']);
    fname = [dbout(1).name '.png'];
    disp(sprintf('\t...saving figure: %s',fname));
    print(fighand,'-dpng',['-r' num2str(quality)],[pwd '\outputs\' fname]);
    close(fighand);      
end    
    
    









































